Workspaces - Update Tags

Updates an existing Workspace's tags.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Quantum/workspaces/{workspaceName}?api-version=2025-12-15-preview

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

The name of the quantum workspace resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
tags

object

Resource tags.

Responses

Name Type Description
200 OK

QuantumWorkspace

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Workspaces_UpdateTags

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/quantumResourcegroup/providers/Microsoft.Quantum/workspaces/quantumworkspace1?api-version=2025-12-15-preview

{
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}

Sample response

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/quantumResourcegroup/providers/Microsoft.Quantum/Workspaces/quantumworkspace1",
  "name": "quantumworkspace1",
  "type": "Microsoft.Quantum/Workspaces",
  "properties": {
    "providers": [
      {
        "providerId": "Honeywell",
        "providerSku": "Basic",
        "applicationName": "quantumworkspace1-h1",
        "instanceUri": "https://h1.endpoint.com",
        "provisioningState": "Succeeded",
        "resourceUsageId": "00000000-1111-2222-3333-444444444444"
      },
      {
        "providerId": "IonQ",
        "provisioningState": "Succeeded",
        "applicationName": "quantumworkspace1-i1",
        "instanceUri": "https://i1.endpoint.com",
        "providerSku": "Basic",
        "resourceUsageId": "00000000-1111-2222-3333-444444444445"
      },
      {
        "providerId": "OneQBit",
        "provisioningState": "Succeeded",
        "applicationName": "quantumworkspace1-o1",
        "instanceUri": "https://o1.endpoint.com",
        "providerSku": "Basic",
        "resourceUsageId": "00000000-1111-2222-3333-444444444446"
      },
      {
        "providerId": "suiteProvider",
        "provisioningState": "Succeeded",
        "applicationName": "quantumworkspace1-s1",
        "instanceUri": "https://s1.endpoint.com",
        "providerSku": "Basic",
        "resourceUsageId": "00000000-1111-2222-3333-444444444447",
        "quotas": {
          "standardMinutesLifetime": 500,
          "highMinutesLifetime": 50
        }
      }
    ],
    "provisioningState": "Succeeded",
    "usable": "Yes",
    "storageAccount": "/subscriptions/1C4B2828-7D49-494F-933D-061373BE28C2/resourceGroups/quantumResourcegroup/providers/Microsoft.Storage/storageAccounts/testStorageAccount",
    "workspaceKind": "V1",
    "endpointUri": "https://quantumworkspace1.westus.quantum.azure.com",
    "apiKeyEnabled": true
  },
  "location": "West US",
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  },
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-1111-2222-3333-444444444444",
    "tenantId": "00000000-1111-2222-3333-444444444444"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedOnBehalfOfConfiguration

Managed-On-Behalf-Of configuration properties. This configuration exists for the resources where a resource provider manages those resources on behalf of the resource owner.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

MoboBrokerResource

Managed-On-Behalf-Of broker resource. This resource is created by the Resource Provider to manage some resources on behalf of the user.

Provider

Information about a Provider. A Provider is an entity that offers Targets to run Azure Quantum Jobs.

ProviderStatus

Provisioning status field

QuantumWorkspace

The resource proxy definition object for Quantum Workspace.

QuantumWorkspaceTagsUpdate

The type used for updating tags in QuantumWorkspace resources.

QuotaAllocations

Quota allocations with each field representing different quota type.

systemData

Metadata pertaining to creation and last modification of the resource.

UsableStatus

Whether the current workspace is ready to accept Jobs.

UserAssignedIdentity

User assigned identity properties

WorkspaceKind

The workspace type.

WorkspaceProvisioningStatus

The Workspace provisioning status.

WorkspaceResourceProperties

Properties of a Workspace

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedOnBehalfOfConfiguration

Managed-On-Behalf-Of configuration properties. This configuration exists for the resources where a resource provider manages those resources on behalf of the resource owner.

Name Type Description
moboBrokerResources

MoboBrokerResource[]

Managed-On-Behalf-Of broker resources

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

MoboBrokerResource

Managed-On-Behalf-Of broker resource. This resource is created by the Resource Provider to manage some resources on behalf of the user.

Name Type Description
id

string (arm-id)

Resource identifier of a Managed-On-Behalf-Of broker resource

Provider

Information about a Provider. A Provider is an entity that offers Targets to run Azure Quantum Jobs.

Name Type Description
applicationName

string

The provider's marketplace application display name.

instanceUri

string

A Uri identifying the specific instance of this provider.

providerId

string

Unique id of this provider.

providerSku

string

The sku associated with pricing information for this provider.

provisioningState

ProviderStatus

Provisioning status field

quotas

QuotaAllocations

Quota allocations associated with this provider. Available only for special providers.

resourceUsageId

string

Id to track resource usage for the provider.

ProviderStatus

Provisioning status field

Value Description
Succeeded

The provider is successfully provisioned.

Launching

The provider is starting provisioning.

Updating

The provider is updating.

Deleting

The provider is deleting.

Deleted

The provider is deleted.

Failed

The provider is failed.

QuantumWorkspace

The resource proxy definition object for Quantum Workspace.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

WorkspaceResourceProperties

Gets or sets the properties. Define quantum workspace's specific properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

QuantumWorkspaceTagsUpdate

The type used for updating tags in QuantumWorkspace resources.

Name Type Description
tags

object

Resource tags.

QuotaAllocations

Quota allocations with each field representing different quota type.

Name Type Description
highMinutesLifetime

integer (int32)

minimum: 0

Lifetime limit for high priority jobs execution in minutes.

standardMinutesLifetime

integer (int32)

minimum: 0

Lifetime limit for standard priority jobs execution in minutes.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UsableStatus

Whether the current workspace is ready to accept Jobs.

Value Description
Yes

The workspace is usable and can accept jobs.

No

The workspace is not usable and cannot accept jobs.

Partial

The workspace is partially usable.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.

WorkspaceKind

The workspace type.

Value Description
V1

The workspace is a general-purpose workspace.

V2

The workspace is a V2 workspace.

WorkspaceProvisioningStatus

The Workspace provisioning status.

Value Description
Succeeded

The Workspace provisioning is succeeded.

Failed

The Workspace provisioning failed.

Canceled

Resource creation was canceled.

ProviderLaunching

The Workspace is currently starting to provision a provider.

ProviderUpdating

The Workspace is currently updating a provider.

ProviderDeleting

The Workspace is currently deleting a provider.

ProviderProvisioning

The Workspace is currently provisioning a provider.

WorkspaceResourceProperties

Properties of a Workspace

Name Type Description
apiKeyEnabled

boolean

Indicator of enablement of the Quantum workspace Api keys.

endpointUri

string

The URI of the workspace endpoint.

managedOnBehalfOfConfiguration

ManagedOnBehalfOfConfiguration

Managed On Behalf Of configuration.

managedStorageAccount

string (arm-id)

ARM Resource Id of the managed storage account associated with this workspace.

providers

Provider[]

List of Providers selected for this Workspace

provisioningState

WorkspaceProvisioningStatus

Provisioning status field

storageAccount

string (arm-id)

ARM Resource Id of the storage account associated with this workspace.

usable

UsableStatus

Whether the current workspace is ready to accept Jobs.

workspaceKind

WorkspaceKind

Whether this workspace is V1 or V2.